Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.cs	(revision 51)
@@ -620,679 +605,146 @@
 
             wrkTxt.Text = CommonMotions.cnvDouble(wrkTxt.Text).ToString("#,0");
             // 月給入力時
-            if (wrkTxt.Name == m_dispControl[(int)Dispcount.MonthlySalary].Name)
+            if (wrkTxt.Name == m_dispControl[(int)DispCtrl.MonthlySalary].Name)
             {
-                m_dispControl[(int)Dispcount.YearSalary].Text = CommonMotions.cnvRound(CommonMotions.cnvDouble(wrkTxt.Text) * s_MonthCount).ToString("#,#0");
+                m_dispControl[(int)DispCtrl.YearSalary].Text = CommonMotions.cnvRound(CommonMotions.cnvDouble(wrkTxt.Text) * s_MonthCount).ToString("#,#0");
             }
         }
         #endregion
 
-        #region 初期時データ取得
+        #region 色選択ボタン
         /// <summary>
-        /// 初期時データ取得
+        /// 色選択ボタン変更
         /// </summary>
-        private bool DispGridData()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnBackColor_Click(object sender, EventArgs e)
         {
-            // 担当者マスタクラス
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            ColorDialog cd = new ColorDialog();
             try
             {
-                // 担当者マスタ取得クラス領域
-                List<PersonInChargeMaster> pic = new List<PersonInChargeMaster>();
-                // 担当者マスタ取得SQL
-                string strSql = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)CommonDefine.EmployeeClassFlg.Regular);
-                // グリッドの行を0に戻す
-                dgvMaster.Rows.Clear(); ;
-                // 担当者マスタ取得
-                if (!picDB.SelectAction(strSql, ref pic)) return false;
+                // ボタンの時
+                if (!sender.GetType().Equals(typeof(Button))) return;
+                Button ClickButton = (Button)sender;
 
-                // データ表示
-                int ino = 1, icnt = 0;
-                foreach (PersonInChargeMaster work in pic)
-                {
-                    dgvMaster.Rows.Add((ino++).ToString()
-                                        , work.PersonCode
-                                        , work.PersonName
-                                        , work.StartDate.ToShortDateString()
-                                        , work.EndDate.ToShortDateString()
-                                        , work.PassWord
-                                        , work.SecurityManagement.ToString());
+                //色の作成部分を表示可能にする、デフォルトがTrueのため必要はない
+                cd.AllowFullOpen = true;
+                //純色だけに制限しない、デフォルトがFalseのため必要はない
+                cd.SolidColorOnly = false;
+                //[作成した色]に指定した色（RGB値）を表示する
+                cd.CustomColors = new int[] {
+                        0x33, 0x66, 0x99, 0xCC, 0x3300, 0x3333,
+                        0x3366, 0x3399, 0x33CC, 0x6600, 0x6633,
+                        0x6666, 0x6699, 0x66CC, 0x9900, 0x9933};
 
-                    dgvMaster.Rows[icnt++].Cells[(int)DispListColumn.PERSON_NAME].ToolTipText = work.PersonName;
-                }
-                // 表示行が足りない場合は追加する
-                if (dgvMaster.Rows.Count <= CommonDefine.s_MaxInitLineCountMastamente)
+                //ダイアログを表示する
+                if (cd.ShowDialog() == DialogResult.OK)
                 {
-                    int iAddLine = CommonDefine.s_MaxInitLineCountMastamente - dgvMaster.Rows.Count;
-                    for (int i = 0; i < iAddLine; i++)
-                    {
-                        dgvMaster.Rows.Add();
-                    }
+                    //選択された色の取得
+                    m_dispControl[(int)DispCtrl.MessageColor].BackColor = cd.Color;
                 }
-
-                // 読込時データカウント取得
-                m_initDataCount = pic.Count;
-
-                // 行を選択しない
-                dgvMaster.ClearSelection();
-
-                return true;
-
             }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                picDB.close();
-                picDB = null;
-            }
-        }
-        #endregion
-
-        #region 更新データ表示処理
-        /// <summary>
-        /// 更新データ表示処理
-        /// </summary>
-        /// <param name="iLinecnt">行カウント</param>
-        /// <returns></returns>
-        private bool DispMentenanceData()
-        {
-            // 担当者マスタクラス
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            try
-            {
-                // 担当者マスタ取得クラス領域
-                PersonInChargeMaster picList = new PersonInChargeMaster();
-
-                // 担当者マスタ取得SQL
-                string strSql = string.Format(" Where PersonCode = {0}", m_PersonCode.ToString());
-
-                // 担当者マスタ取得
-                if (!picDB.SelectAction(strSql, ref picList)) return false;
-
-                // データ表示
-                // データ表示
-                m_dispControl[(int)Dispcount.PersonCode].Text = picList.PersonCode.ToString();
-                m_dispControl[(int)Dispcount.PersonName].Text = picList.PersonName;
-                m_dispControl[(int)Dispcount.StartDate].Text = picList.StartDate.ToShortDateString();
-
-                if (picList.EndDate != DateTime.MinValue)
-                    m_dispControl[(int)Dispcount.EndDate].Text = picList.EndDate.ToShortDateString();
-
-                m_dispControl[(int)Dispcount.PassWord].Text = picList.PassWord;
-
-                m_dispControl[(int)Dispcount.MonthlySalary].Text = picList.MonthlySalary.ToString("#,#0");
-                m_dispControl[(int)Dispcount.YearSalary].Text = picList.YearSalary.ToString("#,#0");
-
-                // 一般使用者は承認色を使用しない
-                if (picList.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {
-                    label15.Visible = false;
-                    m_dispControl[(int)Dispcount.MessageColor].Visible = false;
-                    btnBackColor.Visible = false;
-                }
-                else
-                {
-                    label15.Visible = true;
-                    m_dispControl[(int)Dispcount.MessageColor].Visible = true;
-                    btnBackColor.Visible = true;
-
-                    // 背景色設定
-                    m_dispControl[(int)Dispcount.MessageColor].BackColor = CommonMotions.getBackForeColor(picList.MsgBackColor
-                                                                        , CommonDefine.PalceOfColor.BackColor);
-                }
-
-                m_bEventStop = true;
-                ((ComboBox)m_dispControl[(int)Dispcount.SecurityManagement]).SelectedValue = picList.SecurityManagement;
-                ((ComboBox)m_dispControl[(int)Dispcount.Department]).SelectedValue = picList.DepartmentCode;
-                m_bEventStop = false;
-
-                ((ComboBox)m_dispControl[(int)Dispcount.LedgerFlg]).SelectedValue = picList.LedgerFlg;
-
-                m_dispControl[(int)Dispcount.DisplayString].Text = picList.DisplayString;
-                m_dispControl[(int)Dispcount.Qualification].Text = picList.Qualification;
-                m_dispControl[(int)Dispcount.SealPrintName].Text = picList.SealPrintName;
-
-
-                m_bChengeAns = false;
-
-
-                return true;
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                picDB.close();
-                picDB = null;
-            }
-        }
-        #endregion
-
-        #region 画面ロック
-        /// <summary>
-        /// 画面ロック
-        /// </summary>
-        private void ControlLock(bool bctrl = true)
-        {
-            foreach (Control wrk in m_dispControl)
-            {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
-                    wrk.Enabled = bctrl;
-            }
-        }
-        #endregion
-
-        #region 画面クリア
-        /// <summary>
-        /// 画面クリア
-        /// </summary>
-        private void ClearDisplay()
-        {
-            foreach (Control wrk in m_dispControl)
-            {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                wrk.Text = "";
-                CommonMotions.chgBackColor(wrk, true);
-            }
-
-            // 新規時は担当者コードを表示しない
-            if (m_PersonCode == 0)
-            {
-                lblPersonLabel.Visible = false;
-                lblPersonCode.Visible = false;
-            }
-            else
-            {
-                lblPersonLabel.Visible = true;
-                lblPersonCode.Visible = true;
-            }
-            // コンボボックス初期処理
-            SetSecurityManagementCombBox();
-            SetDepartmentCombBox();
-            SetCalcLedgerCombBox();
-
-            m_bChengeAns = false;
-        }
-        #endregion
-
-        #region 画面項目のチェック
-        /// <summary>
-        /// 画面項目のチェック
-        /// </summary>
-        /// <returns></returns>
-        private bool DispFeildCheck()
-        {
-            bool bRet = true;
-            int iLength = 0;
-            try
-            {
-                // 担当者名
-                if (m_dispControl[(int)Dispcount.PersonName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.PersonName], s_PersonNameLength, true);
-
-                // マスタ使用開始年月
-                if (m_dispControl[(int)Dispcount.StartDate].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)Dispcount.StartDate], true);
-
-                // マスタ使用終了年月
-                if (m_dispControl[(int)Dispcount.EndDate].Text.Length != 0) iLength++;
-                if (m_dispControl[(int)Dispcount.EndDate].Text != CommonDefine.s_UndecidedString)
-                    bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)Dispcount.EndDate]);
-
-                //　パスワード
-                if (m_dispControl[(int)Dispcount.PassWord].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.PassWord], s_PassWordLength, true);
-
-                //　セキュリティ区分
-                if (m_dispControl[(int)Dispcount.SecurityManagement].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)Dispcount.SecurityManagement]);
-
-                // 表示・印刷名称
-                if (m_dispControl[(int)Dispcount.DisplayString].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.DisplayString], s_DisplayStringLength);
-
-                //　部署コード
-                int SecVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.SecurityManagement]).SelectedValue.ToString());
-                if (SecVal > CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                {
-                    if (m_dispControl[(int)Dispcount.Department].Text.Length != 0) iLength++;
-                    bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)Dispcount.Department]);
-                }
-                
-                // 月給金額
-                if (m_dispControl[(int)Dispcount.MonthlySalary].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)Dispcount.MonthlySalary], true);
-
-                // 年棒金額
-                if (m_dispControl[(int)Dispcount.YearSalary].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)Dispcount.YearSalary], true);
-
-                // 資格情報
-                if (m_dispControl[(int)Dispcount.Qualification].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Qualification], s_QualificationLength, false);
-
-                // 印鑑表示名
-                if (m_dispControl[(int)Dispcount.SealPrintName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.SealPrintName], s_SealPrintNameLength, false);
-
-                if (iLength == 0)
-                {
-                    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
-                    return false;
-                }
-                if (!bRet)
-                {
-                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
-                    return false;
-                }
-
-                return true;
-            }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
-        }
-        #endregion
-
-        #region 登録月の最大値担当者コードを取得する
-        /// <summary>
-        /// 登録月の最大値担当者コードを取得する
-        /// </summary>
-        /// <returns></returns>
-        private int GetMaxPersonCode(string strDate)
-        {
-            int iRet = 0;
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            try
-            {
-                // データ更新
-                string strWhere = "";
-                if (strDate.Length != 0)
-                {
-                    strWhere = string.Format(" Where DATE_FORMAT(StartDate,'%Y/%m') = '{0}'", strDate);
-                }
-                iRet = picDB.SelectMaxPersonCodeCount(strWhere);
-
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return iRet;
-            }
             finally
             {
-                picDB.close();
-                picDB = null;
+                cd.Dispose();
             }
-            return iRet;
         }
         #endregion
 
-        #region 担当者マスタ登録
+        #region 日付エリアの入力後処理
         /// <summary>
-        /// 担当者マスタ登録
+        /// 日付エリアの入力後処理
         /// </summary>
-        private bool PersonInChargeMasterDataEntry()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void txtInput_Validated(object sender, EventArgs e)
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
-            try
-            {
-                //// 一括処理なので接続を行う
-                picDB.connect();
-                picDB.beginTran();
+            TextBox txtbox = (TextBox)sender;
 
-                // 表示順を更新する
-                foreach (DataGridViewRow wrkRow in dgvMaster.Rows)
-                {
-                    // 担当者コード無は処理しない
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispListColumn.PERSON_CODE].Value)) continue;
-
-                    List<PersonInChargeMaster> cwrow = new List<PersonInChargeMaster>();
-
-                    // 検索文字列作成
-                    string SQLRow = picDB.CreatePrimarykeyString(
-                                                CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.PERSON_CODE].Value));
-
-                    // データ取得
-                    if (!picDB.SelectAction(SQLRow, ref cwrow, false)) break;
-                    // 表示順変更
-                    cwrow[0].DisplayOrder = CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.DISPLAY_ORDER].Value);
-                    // データ更新
-                    picDB.UpdateAction(SQLRow, cwrow[0], false);
-                }
-
-                PersonInChargeMaster work = new PersonInChargeMaster();
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
-
-                // 担当者コード
-                work.PersonCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.PersonCode].Text.ToString());
-
-                // 担当者名
-                work.PersonName = m_dispControl[(int)Dispcount.PersonName].Text.ToString();
-
-                // 開始年月日
-                if (m_dispControl[(int)Dispcount.StartDate].Text.Length != 0)
-                    work.StartDate = CommonMotions.cnvDate(m_dispControl[(int)Dispcount.StartDate].Text);
-
-                // 終了年月日
-                if (m_dispControl[(int)Dispcount.EndDate].Text.Length != 0)
-                    work.EndDate = CommonMotions.cnvDate(m_dispControl[(int)Dispcount.EndDate].Text);
-
-                // パスワード
-                if (m_dispControl[(int)Dispcount.PassWord].Text.Length != 0)
-                    work.PassWord = m_dispControl[(int)Dispcount.PassWord].Text;
-
-                // 月給金額
-                if (m_dispControl[(int)Dispcount.MonthlySalary].Text.Length != 0)
-                    work.MonthlySalary = CommonMotions.cnvDouble(m_dispControl[(int)Dispcount.MonthlySalary].Text);
-
-                // 年俸金額
-                if (m_dispControl[(int)Dispcount.YearSalary].Text.Length != 0)
-                    work.YearSalary = CommonMotions.cnvDouble(m_dispControl[(int)Dispcount.YearSalary].Text);
-
-                // 機密区分
-                if (m_dispControl[(int)Dispcount.SecurityManagement].Text.Length != 0)
-                    work.SecurityManagement = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.SecurityManagement]).SelectedValue.ToString());
-
-                // 工事詳細台帳
-                if (m_dispControl[(int)Dispcount.LedgerFlg].Text.Length != 0)
-                    work.LedgerFlg = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.LedgerFlg]).SelectedValue.ToString());
-
-                // メッセージ背景色
-                if (m_dispControl[(int)Dispcount.MessageColor].Visible)
-                {
-                    Control wrkCtrl = m_dispControl[(int)Dispcount.MessageColor];
-                    work.MsgBackColor = String.Format("0x{0:X2}{1:X2}{2:X2}"
-                                        , wrkCtrl.BackColor.R, wrkCtrl.BackColor.G, wrkCtrl.BackColor.B);
-                }
-
-                // 表示・印刷文字列
-                if (m_dispControl[(int)Dispcount.DisplayString].Text.Length != 0)
-                    work.DisplayString = m_dispControl[(int)Dispcount.DisplayString].Text;
-
-                // 部署コード
-                if (m_dispControl[(int)Dispcount.Department].Text.Length != 0)
-                    work.DepartmentCode = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)Dispcount.Department]).SelectedValue.ToString());
-
-                // 資格情報
-                work.Qualification = m_dispControl[(int)Dispcount.Qualification].Text.ToString();
-
-                // 印鑑表示名
-                work.SealPrintName = m_dispControl[(int)Dispcount.SealPrintName].Text.ToString();
-
-                // 社員区分（社員）
-                work.EmployeeClassFlg = (int)CommonDefine.EmployeeClassFlg.Regular;
-
-                // 削除フラグ
-                work.DeleteFlg = 0;
-
-                // 表示順はセットしない
-                work.DisplayOrder = 0;
-
-                // 
-                string strWhere = string.Format(" Where PersonCode = {0}", work.PersonCode.ToString());
-
-                if (!picDB.SelectAction(strWhere, ref workList, false))
-                {
-                    picDB.rollback();
-                    MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return false;
-                }
-
-                if (workList.Count == 0)
-                {
-                    // 表示順セット
-                    work.DisplayOrder = picDB.SelectMaxDisplayCount("", false) + 1;
-                    // データがない場合
-                    workList.Clear();
-                    workList.Add(work);
-                    // データ登録
-                    if(!picDB.InsertAction(workList, false))
-                    {
-                        picDB.rollback();
-                        MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
-                }
-                else
-                {
-                    // 表示順セット
-                    work.DisplayOrder = workList[0].DisplayOrder;
-                    // データがある場合
-                    // データ更新
-                    if(!picDB.UpdateAction(strWhere, work, false))
-                    {
-                        picDB.rollback();
-                        MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
-                }
-
-                // 成功したらcommit
-                picDB.commit();
-
-                // コードクリア
-                m_PersonCode = 0;
-
-                return true;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                picDB.close();
-                picDB = null;
-            }
+            // 入力後処理
+            InputDateField(txtbox);
         }
         #endregion
 
-        #region 表示オブジェクトの取得
+        #region 日付フィールド値変更時
         /// <summary>
-        /// 表示オブジェクトの取得
+        /// 日付フィールド値変更時
         /// </summary>
-        private void SetDisplayObject()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void txtInput_TextChanged(object sender, EventArgs e)
         {
-            int DspCtrlCnt = Enum.GetNames(typeof(Dispcount)).Length;
-            m_dispControl = new Control[DspCtrlCnt];
-
-            m_dispControl[(int)Dispcount.PersonCode] = lblPersonCode;
-            m_dispControl[(int)Dispcount.PersonName] = txtInput1;
-            m_dispControl[(int)Dispcount.StartDate] = txtInput2;
-            m_dispControl[(int)Dispcount.EndDate] = txtInput3;
-            m_dispControl[(int)Dispcount.PassWord] = txtInput4;
-            m_dispControl[(int)Dispcount.MonthlySalary] = txtInput6;
-            m_dispControl[(int)Dispcount.YearSalary] = txtInput7;
-            m_dispControl[(int)Dispcount.SecurityManagement] = cmbSecurityManagement;
-            m_dispControl[(int)Dispcount.MessageColor] = lblMessageColor;
-            m_dispControl[(int)Dispcount.Department] = cmbDepartment;
-            m_dispControl[(int)Dispcount.DisplayString] = txtInput5;
-            m_dispControl[(int)Dispcount.Qualification] = txtInput8;
-            m_dispControl[(int)Dispcount.SealPrintName] = txtInput9;
-            m_dispControl[(int)Dispcount.LedgerFlg] = cmbLedgerFlg;
-
-            m_dispControl[(int)Dispcount.EditMode] = lblEditMode;
+            m_bDateChange = true;
         }
         #endregion
 
-        #region 機密区分コンボボックス初期表示処理
+        #region 給与追加ボタン
         /// <summary>
-        /// 機密区分コンボボックス初期表示処理
+        /// 給与追加ボタン
         /// </summary>
-        private void SetSecurityManagementCombBox()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSalaryAdd_Click(object sender, EventArgs e)
         {
-            m_bEventStop = true;
-            try
-            {
-                // コンボボックスクリア
-                cmbSecurityManagement.DataSource = null;
-                cmbSecurityManagement.Items.Clear();
-
-                // 選択項目クリア
-                cmbSecurityManagement.Text = "";
-
-                //コンボボックスのデータをセットする
-
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                DataList.Add(new KeyValuePair<int, string>(0, ""));
-                foreach (KeyValuePair<int, string> wrk in CommonDefine.SystemManageDiv)
-                {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.Key, wrk.Value);
-
-                    DataList.Add(keyval);
-                }
-                // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbSecurityManagement, DataList);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                m_bEventStop = false;
-            }
+            // 給与グリッド追加
+            SalaryGridDataAdd();
         }
         #endregion
 
-        #region 部署コンボボックス初期表示処理
+        #region 給与削除ボタン
         /// <summary>
-        /// 部署コンボボックス初期表示処理
+        /// 給与削除ボタン
         /// </summary>
-        private void SetDepartmentCombBox()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSalaryDelete_Click(object sender, EventArgs e)
         {
-            IOMDepartment dmDB = new IOMDepartment();
-            m_bEventStop = true;
-            try
-            {
-                // コンボボックスクリア
-                cmbDepartment.DataSource = null;
-                cmbDepartment.Items.Clear();
+            DataGridView dgv = dgvSalary;
+            int rowCnt = dgv.CurrentRow.Index;
 
-                // 選択項目クリア
-                cmbDepartment.Text = "";
+            // データ無行は処理しない
+            string sStartDate = CommonMotions.cnvDate(dgv.Rows[rowCnt].Cells[(int)SalaryGridColumn.StartData].Value).ToShortDateString();
+            if (sStartDate.Length == 0) return;
 
-                //コンボボックスのデータをセットする
-                string strSQL = " Where DeleteFlg = 0 Order By DisplayOrder";
-                List<DepartmentMaster> data = new List<DepartmentMaster>();
-                if (!dmDB.SelectAction(strSQL, ref data)) return;
-
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                foreach (DepartmentMaster wrk in data)
-                {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.DepartmentCode, wrk.DepartmentString);
-
-                    DataList.Add(keyval);
-                }
-                // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbDepartment, DataList);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                dmDB.close();
-                dmDB = null;
-
-                m_bEventStop = false;
-            }
+            // 給与グリッド削除
+            SalaryGridDataRemove(rowCnt);
         }
         #endregion
 
-        #region 工事詳細台帳計算対象コンボボックス初期表示処理
+        #region 参照部署追加ボタン
         /// <summary>
-        /// 工事詳細台帳計算対象コンボボックス初期表示処理
+        /// 参照部署追加ボタン
         /// </summary>
-        private void SetCalcLedgerCombBox()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnRefDepAdd_Click(object sender, EventArgs e)
         {
-            m_bEventStop = true;
-            try
-            {
-                // コンボボックスクリア
-                cmbLedgerFlg.DataSource = null;
-                cmbLedgerFlg.Items.Clear();
-
-                // 選択項目クリア
-                cmbLedgerFlg.Text = "";
-
-                //コンボボックスのデータをセットする
-
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                for (int i = 0; i < PersonLedgerDivNoName.Length; i++)
-                {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(i, PersonLedgerDivNoName[i]);
-
-                    DataList.Add(keyval);
-                }
-                // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbLedgerFlg, DataList);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                m_bEventStop = false;
-            }
+            // 参照部署グリッド追加
+            RefDepGridDataAdd();
         }
         #endregion
 
-        #region 色選択ボタン
+        #region 参照部署削除ボタン
         /// <summary>
-        /// 色選択ボタン変更
+        /// 参照部署削除ボタン
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnBackColor_Click(object sender, EventArgs e)
+        private void btnRefDepDel_Click(object sender, EventArgs e)
         {
-            ColorDialog cd = new ColorDialog();
-            try
-            {
-                // ボタンの時
-                if (!sender.GetType().Equals(typeof(Button))) return;
-                Button ClickButton = (Button)sender;
+            DataGridView dgv = dgvRefDepartment;
+            int rowCnt = dgv.CurrentRow.Index;
 
-                //色の作成部分を表示可能にする、デフォルトがTrueのため必要はない
-                cd.AllowFullOpen = true;
-                //純色だけに制限しない、デフォルトがFalseのため必要はない
-                cd.SolidColorOnly = false;
-                //[作成した色]に指定した色（RGB値）を表示する
-                cd.CustomColors = new int[] {
-                        0x33, 0x66, 0x99, 0xCC, 0x3300, 0x3333,
-                        0x3366, 0x3399, 0x33CC, 0x6600, 0x6633,
-                        0x6666, 0x6699, 0x66CC, 0x9900, 0x9933};
+            // データ無行は処理しない
+            string sDepName = CommonMotions.cnvDate(dgv.Rows[rowCnt].Cells[(int)RefDepGridColumn.DepName].Value).ToShortDateString();
+            if (sDepName.Length == 0) return;
 
-                //ダイアログを表示する
-                if (cd.ShowDialog() == DialogResult.OK)
-                {
-                    //選択された色の取得
-                    m_dispControl[(int)Dispcount.MessageColor].BackColor = cd.Color;
-                }
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                cd.Dispose();
-            }
+            // 部署グリッド削除
+            RefDepGridDataRemove(rowCnt);
         }
         #endregion
     }
